#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

white = Create_String(String, "snowman", colour = (255, 255, 255),
            image_pos = [(150, 150)], image_name = "snowman")
white.Add_Sequence("001")

white = Create_Component(Light_Control, white)
clockA = Create_Component(Stimulator, "A", "011")
clockB = Create_Component(Stimulator, "B", "101")
Create_Component(Or_Gate)
Create_Component(Not_Gate)
Create_Component(Not_Gate)
Create_Component(Not_Gate)


Meta_Data(text = "Alternative 'And'",
    tick = 0.5,
    desc = "Make the snowman light up only when both inputs are On. "
        "This is easy to do using an 'And' component. But you can also "
        "do it with some 'Not' components and an 'Or' component. To solve "
        "this level, figure out how!\n\n"
        "Hint: Think about the difference between 'And' and 'Or'. If you "
        "added 'Not' components around an 'And', what would you get?")

