#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

(one, two) = Gen_Binary(Create_String)

one.Add_Sequence("0101")
two.Add_Sequence("0011")

Create_Component(Light_Control, one)
Create_Component(Light_Control, two)

Create_Component(D_Flip_Flop_NCE)
Create_Component(D_Flip_Flop_NCE)
Create_Component(Or_Gate)
Create_Component(Not_Gate)
Create_Component(Not_Gate)
Create_Component(And_Gate)
Create_Component(And_Gate)


Meta_Data(text = "Re-Generator",
    dis_inputs = True,
    desc = "In this puzzle, you have to make a new sort of sequence "
        "generator: one that doesn't use clock enable ('ce'). The "
        "sequence to be produced is 00, 01, 10, 11 as before.\n\n"
        "Hint: Arrange the components to take a base-2 number X and produce "
        "the number X + 1 as output, i.e. 00 becomes 01, 01 becomes 10, "
        "and so on. Use this arrangement to feed the Delay inputs from the "
        "Delay outputs, so the current state of the Delay components, X, "
        "is followed by state X + 1.")

